From: "Andrew Ammerlaan" <andrewammerlaan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: dev-python/jupyterlab/
Date: Tue, 7 Sep 2021 18:44:02 +0000 (UTC) [thread overview]
Message-ID: <1631040230.f7e055139d73a096f937e4ff5b1736661405c3f4.andrewammerlaan@gentoo> (raw)
commit: f7e055139d73a096f937e4ff5b1736661405c3f4
Author: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 7 18:43:50 2021 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Tue Sep 7 18:43:50 2021 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=f7e05513
dev-python/jupyterlab: ewarn instead of die
Package-Manager: Portage-3.0.22, Repoman-3.0.3
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>
dev-python/jupyterlab/jupyterlab-3.1.10.ebuild | 12 ++++++++++--
1 file changed, 10 insertions(+), 2 deletions(-)
diff --git a/dev-python/jupyterlab/jupyterlab-3.1.10.ebuild b/dev-python/jupyterlab/jupyterlab-3.1.10.ebuild
index 6940fff45..7d3603c67 100644
--- a/dev-python/jupyterlab/jupyterlab-3.1.10.ebuild
+++ b/dev-python/jupyterlab/jupyterlab-3.1.10.ebuild
@@ -35,9 +35,17 @@ distutils_enable_tests pytest
pkg_postinst() {
# We have to do this here because we need internet since this uses yarn
- jupyter-lab build -y || die "Failed to build jupyterlab javascript assets"
+ jupyter-lab build -y || ( \
+ ewarn "Failed to build jupyterlab javascript assets, please run"
+ ewarn "'jupyter-lab build' manually before starting jupyter-lab."
+ ewarn "Note that this will likely require network access."
+ )
}
pkg_prerm() {
- jupyter-lab clean -y || die "Failed to clean jupyterlab javascript assets"
+ jupyter-lab clean -y --static || ( \
+ ewarn "Failed to clean jupyterlab javascript assets, please remove"
+ ewarn "/usr/share/jupyter/lab/staging and /usr/share/jupyter/lab/static"
+ ewarn "manually."
+ )
}
next reply other threads:[~2021-09-07 18:44 UTC|newest]
Thread overview: 5+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-09-07 18:44 Andrew Ammerlaan [this message]
-- strict thread matches above, loose matches on Subject: below --
2021-09-07 19:09 [gentoo-commits] proj/sci:master commit in: dev-python/jupyterlab/ Andrew Ammerlaan
2021-09-07 18:01 Andrew Ammerlaan
2021-09-03 19:45 Andrew Ammerlaan
2021-09-03 19:24 Andrew Ammerlaan
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1631040230.f7e055139d73a096f937e4ff5b1736661405c3f4.andrewammerlaan@gentoo \
--to=andrewammerlaan@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox